List SSH keys
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/ssh_keys?limit=100&offset=100"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <credentials>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/ssh_keys?limit=100&offset=100';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.wpengineapi.com/v1/ssh_keys?limit=100&offset=100' \ --header 'Authorization: Basic <credentials>'Returns the SSH keys that the authenticated user has added.
Results are paginated - use the limit and offset parameters to page
through large sets.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”(Optional) The number of records to return
Example
100(Optional) The first record of the result set to be retrieved
Example
100Responses
Section titled “Responses”Returns a list of SshKey objects.
object
Path to the previous page of results
Path to the next page of results
The total number of results
object
Example
{ "previous": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0", "next": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200", "count": 225, "results": [ { "comment": "joe@gmail.com", "created_at": "2019-09-01T15:59:24.277Z", "fingerprint": "a1:b2:c3:d4:e5:46:a7:88:c9:40:d2:d7:9b:cd:42:05", "uuid": "e41fa98f-ea80-1f16-a7b7-d748bcc9e64d" } ]}Bad Request
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
An array of error objects describing specific errors that arose when servicing the request
object
The name of the resource that was being processed when the error occurred
(Optional) The specific field associated with the error
(Optional) A type associated with the error. invalid_value, access_error, value_unavailable
(Optional) A machine code relating to the error that occurred with the field and resource
(Optional) A human-readable message relating to the error that occurred with the field and resource
Example
{ "message": "Invalid request.", "errors": [ { "resource": "Resource", "field": "field_name", "type": "invalid_value", "code": "invalid", "message": "The value is invalid." } ]}Authentication Error
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Bad Credentials"}Not authorized
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "You don't have permission to perform that action"}Too many requests
Internal Server Error
object
A message regarding the error that occurred on the server
Example
{ "message": "An unexpected error occurred, please try again in a few minutes"}Service unavailable